<form [formGroup]="userForm">
  <div class="flex flex-column pt-8">
    <div class="flex align-items-center justify-content-center h-4rem font-bold text-4xl border-round m-2">
      <p>{{ title }}</p>
    </div>
    <div *ngIf="this.terStatus === 'ACCEPT'" class="flex align-items-center justify-content-center">
      <div class="flex align-items-center justify-content-center">
        <div class="flex flex-column pt-4">
          <p-table [value]="szempontArray" [tableStyle]="{ 'min-width': '50rem' }">
            <ng-template pTemplate="header">
              <tr>
                <th class="text-center">Szempont megnevezése</th>
                <th class="text-center" style="width: 5rem">Maximális pontszám</th>
                <th class="text-center" style="width: 5rem">Pontszám</th>
              </tr>
            </ng-template>
            <ng-template pTemplate="body" let-item>
              <tr>
                <td class="text-left">{{ item.name }}</td>
                <td class="text-center">{{ item.value }}</td>
                <td><input pInputText pKeyFilter="int" style="width: 10rem; text-align: center"
                           formControlName="{{item.formControlName}}"
                           (keyup)="sumFormControls()">
                  <div *ngIf="userForm.controls[item.formControlName].errors?.['max']"
                       class="block p-error text-center mt-1">
                    Túl sok pontszámot adtál meg!
                  </div>
                  <div *ngIf="userForm.controls[item.formControlName].errors?.['required']"
                       class="block p-error text-center mt-1">
                    A mező kitöltése kötelező!
                  </div>
                </td>
              </tr>
            </ng-template>
            <ng-template pTemplate="footer">
              <tr>
                <td class="text-right">Összesen</td>
                <td class="text-center">100</td>
                <td class="text-center">{{ totalIndex }}</td>
              </tr>
            </ng-template>
          </p-table>
          <div class="text-center mt-4">
            <p-button (onClick)="insertToTemp()">Adatok rögzítése</p-button>
          </div>
        </div>
      </div>
    </div>
    <div *ngIf="tvezeto" class="flex align-items-center justify-content-center">
      <p-table [value]="allSelfRatingTemp" [tableStyle]="{'min-width': '40vw'}" [scrollable]="true">
        <ng-template pTemplate="header">
          <tr>
            <th class="text-center" pSortableColumn="name">Név</th>
            <th class="text-center" style="width: 10rem" pSortableColumn="status">Státusz</th>
            <th class="text-center" style="width: 5rem"></th>
          </tr>
        </ng-template>
        <ng-template pTemplate="body" let-product>
          <tr>
            <td>{{ product.name }}</td>
            <td class="text-center">
              <p-tag [value]="getStatuszValue(product.status)" [severity]="getStatusz(product.status)"></p-tag>
            </td>
            <td class="text-center">
              <p-button *ngIf="product.status === 'READY'" icon="pi pi-times"
                        (click)="showDialog(product)">
              </p-button>
              <p-button *ngIf="product.status === 'ACCEPT'" icon="pi pi-search"
                        (click)="showAcceptedDialog(product)">
              </p-button>
            </td>
          </tr>
        </ng-template>
      </p-table>
    </div>
  </div>
  <div class="card flex justify-content-center">
    <p-toast></p-toast>
    <p-confirmDialog>
      <ng-template pTemplate="message" let-message>
        <div class="flex flex-column align-items-center w-full gap-3 border-bottom-1 surface-border">
          <i class="{{ icon }} text-6xl text-primary-500"></i>
          <p>{{ message.message }}</p>
        </div>
      </ng-template>
    </p-confirmDialog>
  </div>
  <p-dialog header="{{selectedTeacher}}" [resizable]="false" [modal]="true" [maximizable]="true" appendTo="body"
            [(visible)]="dialogVisible" [style]="{width: '50vw'}" [contentStyle]="{height: '50vw'}">
    <p-table [value]="chooseUser" [scrollable]="true" scrollHeight="flex" [tableStyle]="{'min-width': '50rem'}">
      <ng-template pTemplate="header">
        <tr>
          <th class="text-center">Szempont megnevezése</th>
          <th class="text-center" style="width: 5rem">Maximális pontszám</th>
          <th class="text-center" style="width: 5rem">Tanár pontszáma</th>
          <th class="text-center" style="width: 5rem">Végleges pontszám</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-customer>
        <tr>
          <td>{{ customer.name }}</td>
          <td class="text-center">{{ customer.value }}</td>
          <td class="text-center">{{ customer.tValue }}</td>
          <td><input pInputText pKeyFilter="int" style="width: 10rem; text-align: center"
                     formControlName="{{customer.formControlName}}"
                     (keyup)="sumFormControls()">
            <div *ngIf="userForm.controls[customer.formControlName].errors?.['max']"
                 class="block p-error text-center mt-1">
              Túl sok pontszámot adtál meg!
            </div>
            <div *ngIf="userForm.controls[customer.formControlName].errors?.['required']"
                 class="block p-error text-center mt-1">
              A mező kitöltése kötelező!
            </div>
          </td>
        </tr>
      </ng-template>
      <ng-template pTemplate="footer">
        <tr>
          <td class="text-right"></td>
          <td class="text-center"></td>
          <td class="text-center">Összesen</td>
          <td class="text-center">{{ totalIndex }}</td>
        </tr>
      </ng-template>
    </p-table>
    <ng-template pTemplate="footer">
      <p-button (click)="insertToFinal()"
                label="Adatok végleges rögzítése"
                class="p-button-text"></p-button>
    </ng-template>
  </p-dialog>

  <p-dialog header="{{selectedTeacher}}" [resizable]="false" [modal]="true" [maximizable]="true" appendTo="body"
            [(visible)]="acceptedDialogVisible" [style]="{width: '30vw'}" [contentStyle]="{height: '25vw'}">
    <p-table [value]="chooseAcceptedUser" [scrollable]="true" scrollHeight="flex">
      <ng-template pTemplate="header">
        <tr>
          <th class="text-center">Szempont megnevezése</th>
          <th class="text-center" style="width: 5rem">Végleges pontszám</th>
        </tr>
      </ng-template>
      <ng-template pTemplate="body" let-customer>
        <tr>
          <td>{{ customer.name }}</td>
          <td class="text-center">{{ customer.value }}</td>

        </tr>
      </ng-template>
    </p-table>
  </p-dialog>
  <p-button (onClick)="LOG()">LOG</p-button>
</form>
